package com.cf.imes.module.system.validation.products;

import com.cf.imes.framework.test.core.ut.BaseMockitoUnitTest;
import com.cf.imes.module.system.enums.products.ProductStatusEnum;
import jakarta.validation.ConstraintValidatorContext;
import org.junit.jupiter.api.Test;
import org.mockito.Mock;

import static org.junit.jupiter.api.Assertions.assertFalse;
import static org.junit.jupiter.api.Assertions.assertTrue;

/**
 * 产品状态校验器单元测试
 *
 * @author Gqr
 * @since 2025/12/9 14:28
 */
public class ProductStatusValidatorTest extends BaseMockitoUnitTest {
    @Mock
    private ConstraintValidatorContext constraintValidatorContext;

    @Test
    void testValid() {
        ProductStatusValidator validator = new ProductStatusValidator();
        assertTrue(validator.isValid(ProductStatusEnum.PRODUCT_UPDATES.getStatus(), constraintValidatorContext));
        assertTrue(validator.isValid(ProductStatusEnum.PRODUCT_DELIS.getStatus(), constraintValidatorContext));
        assertTrue(validator.isValid(null, constraintValidatorContext));
        assertFalse(validator.isValid(2, constraintValidatorContext));
    }
}
